> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter uma Devolução

> Use este endpoint para recuperar uma devolução pelo seu identificador único.



## OpenAPI

````yaml pt/openapi/v3-current/indirect-pix.yaml GET /v1/refunds/{refund_id}
openapi: 3.0.3
info:
  title: Plugin BR Pix Indireto - API Completa
  description: |
    API completa para o sistema brasileiro de pagamentos instantâneos Pix,
    incluindo operações de dicionário de chaves Pix, geração/decodificação de
    QR Code, transações e limites de transações.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/refunds/{refund_id}:
    get:
      tags:
        - Transactions API
      summary: Obter uma Devolução
      description: >-
        Use este endpoint para recuperar uma devolução pelo seu identificador
        único.
      parameters:
        - $ref: '#/components/parameters/RefundId'
        - $ref: '#/components/parameters/XAccountId'
      responses:
        '200':
          description: Detalhes da devolução recuperados com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefundObject'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0001:
                  $ref: '#/components/examples/ErrorPIX0001'
                ErrorPIX0008:
                  $ref: '#/components/examples/ErrorPIX0008'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0427:
                  $ref: '#/components/examples/ErrorPIX0427'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0000:
                  $ref: '#/components/examples/ErrorPIX0000'
      deprecated: false
      security:
        - bearerAuth: []
components:
  parameters:
    RefundId:
      name: refund_id
      in: path
      description: Identificador único da solicitação de reembolso (formato UUID).
      required: true
      example: 019c96a0-0c6b-7166-8510-b262039b4838
      schema:
        type: string
    XAccountId:
      name: X-Account-Id
      in: header
      description: Identificador único da Conta do Ledger Midaz (formato UUID).
      required: true
      example: 019c96a0-0a98-7287-9a31-786e0809c769
      schema:
        type: string
  schemas:
    RefundObject:
      type: object
      properties:
        id:
          type: string
          description: Identificador único do reembolso.
          example: 019c96a0-0c53-7a8d-8e29-67971d96d0e3
        originalEndToEndId:
          type: string
          description: ID E2E da transferência original.
          example: E123456789BR1234567890123456789
        returnEndToEndId:
          type: string
          description: ID E2E da transferência de devolução.
          example: D123456789BR1234567890123456789
        amount:
          type: string
          description: Valor do reembolso.
          example: '100.00'
        status:
          type: string
          description: Status do reembolso.
          example: COMPLETED
        reason:
          type: string
          description: Código do motivo do reembolso.
          example: FR01
        createdAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
    ErrorFormat:
      type: object
      description: A mensagem de erro da resposta.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Um identificador único e estável para o erro.
        title:
          type: string
          description: Um breve resumo do problema.
        message:
          type: string
          description: Orientação detalhada para resolver o erro.
  examples:
    ErrorPIX0001:
      summary: Missing Headers in Request
      value:
        code: PIX-0001
        title: Missing Headers in Request
        message: >-
          Your request is missing one or more required header params. Please
          refer to the documentation to ensure all necessary header params are
          included in your request.
    ErrorPIX0008:
      summary: Invalid Path Parameter in Request
      value:
        code: PIX-0008
        title: Invalid Path Parameter in Request
        message: >-
          One or more path parameters are invalid. Please refer to the
          documentation to verify the expected format and allowed values for
          each path parameter.
    ErrorPIX0427:
      summary: Refund Not Found
      value:
        code: PIX-0427
        title: Refund Not Found
        message: The refund was not found.
    ErrorPIX0000:
      summary: Internal Server Error
      value:
        code: PIX-0000
        title: Internal Server Error
        message: The server encountered an unexpected error. Please try again later.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````